package net.mkonrad.synes.data;

import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.util.MusicTools;

public abstract class MelodyInstrument extends SeqInstrument
{

  public MelodyInstrument()
  {
    super();
  }
  
  protected float getPitchArg(Vector3f pos)
  {
    return MusicTools.getMidiFromYCoord(pos.y, true);
  }

  public boolean needsKeyboard()
  {
    return true;
  }

}
